<?php 
/*
 *  File: business.php
 *  Data: 19/01/2014
 *  
 *  Business file is divided two parts:
 * 	 - Shows a table with all business
 *   - Shows a business datails and its documents
 * 
 */
 require 'include/checkSession.php';
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/sorttable.js" type="text/javascript"></script>
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.dataTables.min.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/datatables/jquery.dataTables.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <script type="text/javascript">
	$(document).ready(function() {
		$('#businessTable').dataTable({
			"oLanguage": {
				"sSearch": "Filtro:",
				"sLengthMenu": "Muestra _MENU_ empresas por pàgina",
       			"sZeroRecords": "Ninguna empresa encontrado",
      			"sInfo": "Mostrando _START_ al _END_ de _TOTAL_ empresas",
       			"sInfoEmpty": "Mostrando 0 al 0 de 0 empresas",
       			"sInfoFiltered": "(_MAX_ empresas totales)",
				"oPaginate": {
					"sPrevious": "Anterior",
					"sNext":     "Siguiente",
				}
			},
			"aoColumnDefs": [
		    	{ "bSortable": false, "aTargets": [ 2, 5, 6, 7, 8 ] },
		    	{ "bSearchable": false, "aTargets": [ 2, 5, 6, 7, 8 ] }
		    ],
        	"bScrollCollapse": true,
		    "aaSorting": [],
		    "bAutoWidth": false,
		    "bLengthChange": false
		});
	});
  </script>
  <title>CRM: Empresas</title>
</head>
<body>
	<!-- Section variable that selects the title on navigation bar -->
	<script>var section = "businessSection"</script>
  	<?php
  	
    include 'include/header.php';		// Navigation bar
    include 'include/function.php';
        
    echo '<section>';

    /* Show all business or specific business */
    if (!isset ($_GET['businessId']))
    {  /************************************************************	
      	* Show all business
      	************************************************************/
      	echo '<a class="button" href="addBusiness.php">Añadir empresa</a>';
      	echo '<h2>Empresas</h2>';
      	echo '<div class="divider"></div>';
       	echo '<article>';
       	     	
      	/* All business table */
      	$query = 'SELECT * FROM business ORDER BY name ASC';
      	$result = mysql_query($query) or die('Error 02: business table query failed. The query: '.$query. '.mysql_error().');
 
     	echo '<table class="list" id="businessTable">';
      	echo '<thead>';
		echo '<tr>';
      	echo '<th>Nombre</th>';
      	echo '<th style="width:9%">Tipo</th>';
      	echo '<th>Teléfono</th>';
      	echo '<th>País</th>';
      	echo '<th>eMail</th>';
      	echo '<th class="center" style="width:4%" >Info</th>';
     	echo '<th class="center" style="width:4%" >Editar</th>';
      	echo '<th class="center" style="width:4%" >Nuevo</th>';
      	if ($accessLevel >= $ADVANCE_VALUE ) echo '<th style="width:5%" >Eliminar</th>';
		echo '</tr>';
      	echo '</thead>';

      	while ($row = mysql_fetch_assoc($result)) {
	
			echo '<tr>';
			echo '<td>'.$row['name'].'</td>';
			echo '<td>'.$row['businessType'].'</td>';
			echo '<td>'.$row['phone'].'</td>';
			echo '<td>'.$row['country'].'</td>';
			echo '<td><a href="mailto:'.$row['email'].'">'.$row['email'].'</a></td>';
			echo '<td class="center"><a href="business.php?businessId='.$row['id'].'"><img src=images/info.png alt="Icono info"></a></td>';
			echo '<td class="center"><a href="editBusiness.php?businessId='.$row['id'].'"><img src=images/edit.png alt="Icono editar empresa"></a></td>';
			echo '<td class="center"><a href="addContact.php?businessId='.$row['id'].'"><img src=images/addContact.png alt="Icono añadir contacto"></a></td>';
			if ($accessLevel >= $ADVANCE_VALUE) {
				?><td class="center"><img src=images/delete.png onclick='deleteBusiness("deleteBusiness.php?businessId=<?php echo $row['id'] ?>")' alt="Icono elimiar empresa"></td><?php	
			}
			echo '</tr>';

      	}
	  	echo '</table>';	
     		
	}
	else {
     /************************************************************	
      * Specific business
      ************************************************************/
      echo '<article>';
      $businessId = $_GET['businessId'];

      /* Query info business */
      $query = "SELECT name, activity, businessType, phone, email, headOffice, country, date_format(creationDate,'%D %M %Y') as creationDate
      			FROM business
      			WHERE id=".$businessId;
      $result = mysql_query($query) or die('Error:02 read business table query failed. The query: '.$query.' '.mysql_error());
      $row = mysql_fetch_assoc($result);
	  
      /* Show info business*/
      echo '<h2>'.$row['name'].'<a onclick="showInfoContact()" class="info"><img src=images/infoSmall.png alt="Icono detalles empresa"></a></h2>';
	  
      // Show informaction button	  
	  echo '<div id="information">';
      echo '<h5>Actividad: '.$row['activity'].'</h5>';
      echo '<h5>Tipo: '.$row['businessType'].'</h5>';
      echo '<h5>Teléfono: '.$row['phone'].'</h5>';
      echo '<h5>eMail: <a href="mailto:'.$row['email'].'">'.$row['email'].'</a></h5>';
      echo '<h5>Sede: '.$row['headOffice'].'</h5>';
      echo '<h5>País: '.$row['country'].'</h5>';
      echo '<h5>Fecha de creación: '.$row['creationDate'].'</h5>';
      echo '</div>';   
      echo '<div class="divider"></div>'; 
      
      echo '<h3>Contactos</h3>';
      echo '<div class="divider"></div>';
	
      // New client button
      echo '<a class="button" href="addContact.php?businessId='.$businessId.'">Nuevo contacto</a>';
      // Edit business button
      echo '<a class="button" href="editBusiness.php?businessId='.$businessId.'">Editar empresa</a>';

      /* Info of business employees */
      $query = 'SELECT * FROM contact WHERE businessId='.$businessId;
      $result = mysql_query($query) or die('Error 02: Read contact table query failed. The query: '.$query);
	  
	  if (mysql_num_rows($result) > 0)
	  {
	      /* All contacts table */
	      echo '<table class="sortable list">';
	      echo '<thead>';
		  echo '<tr>';
	      echo '<th>Nombre</th>';
	      echo '<th>Apellido</th>';
	      echo '<th>eMail</th>';
	      echo '<th style="width:20%">Teléfono</th>';
		  echo '<th>País</th>';
	      echo '<th class="center" style="width:5% ">Información</th>';	
	      echo '<th class="center" style="width:5% ">Editar</th>';
	      echo '<th class="center" style="width:8% ">Nueva cita</th>';
      	if ($accessLevel >= $ADVANCE_VALUE) echo '<th class="center" style="width:5%">Eliminar</th>'; 
	      echo '</tr>';
	      echo '</thead>';
	
	      while ($row = mysql_fetch_assoc($result))
	      {
			echo '<tr>';
			echo '<td>'.$row['name'].'</td>';
			echo '<td>'.$row['surname'].'</td>';
			echo '<td><a href="">'.$row['email'].'</a></td>';
			echo '<td>'.$row['phone'].'</td>';
			echo '<td>'.$row['country'].'</td>';
			echo '<td class="center" ><a href="contact.php?contactId='.$row['id'].'"><img src=images/info.png alt="Icono info"></a></td>';
			echo '<td class="center" ><a href="editContact.php?contactId='.$row['id'].'"><img src=images/edit.png alt="Icono editar contacto"></a></td>';
			echo '<td class="center" ><a href="addAppointment.php?contactId='.$row['id'].'"><img src=images/addApp.png alt="Icono añadir cita"></a></td>';
			if ($accessLevel >= $ADVANCE_VALUE) {
				?><td class="center"><a onclick="deleteContact('deleteContact.php?contactId=<?php echo $row['id'] ?>')"><img src="images/delete.png" alt="Icono eliminar contacto"></a></td><?php
			}
			echo '</tr>';
		  }
	      echo '</table>';
	  }
	  else
	  {
	  	echo '<h4>Esta empresa no tiene contactos</h4>';
	  }
    
	    
	  /* Info of documents OCTET_LENGTH */
	  $query = 'SELECT id, documentType, description, OCTET_LENGTH(file) as size FROM document WHERE businessId='.$businessId;
	  $result = mysql_query($query) or die('Error 02: Read document table query failed. The query: '.$query);
	    
	  echo '<h3>Documentos</h3>';
	  echo '<div class="divider"></div>';
	  
	  // New document button
	  echo '<a class="button" href="addDocument.php?businessId='.$businessId.'">Nuevo documento</a>';
	    
	  if (mysql_num_rows($result) > 0)
	  {
	  	/* Documents table */
	  	echo '<table class="sortable list">';
	  	echo '<thead>';
		echo '<tr>';
	  	echo '<th style="width:5%">Tipo</th>';
	  	echo '<th>Descripción</th>';
		echo '<th class="right" style="width:10%" >Tamaño</th>';
	  	echo '<th class="center" style="width:5%" >Editar</th>';
	  	echo '<th class="center" style="width:7%" >Descargar</th>';
	  	echo '<th class="center" style="width:6%" >Eliminar</th>';
		echo '</tr>';
	  	echo '</thead>';
	  	 
	  	while ($row = mysql_fetch_assoc($result))
	  	{
	   		echo '<tr>';
	   		echo '<td>'.$row['documentType'].'</td>';
	   		echo '<td>'.$row['description'].'</td>';
			echo '<td class="right">'.changeByteToMegabyte($row['size']).'</td>';
	   		echo '<td class="center"><a href="editDocument.php?documentId='.$row['id'].'"><img src=images/edit.png alt="Icono editar documento"></a></td>';
	   		echo '<td class="center"><a href="download.php?file='.$row['id'].'"><img src=images/download.png alt="Icono descargar documento"></a></td>';
	   		?><td class="center"><img src=images/delete.png onclick='deleteDocument("deleteDocument.php?documentId=<?php echo $row['id'] ?>")' alt="Icono elimiar documento"></td><?php
	   		echo '</tr>';
	  	}
	  	echo '</table>';
	  }
	  else
	  {
	  	echo '<h4>No hay documentos disponibles</h4>';
	  }
    }
	echo '</article>';
	echo '</section>';

    include 'include/footer.php';
    ?>
</body>
</html>