<?php
/*
 *  File: contact.php
 *  Data: 19/01/2014
 * 
 *  Contact file is divided two parts:
 * 	 - Shows a table with all contacts
 *   - Shows a selected contact and their appointments
 */
 require 'include/checkSession.php';
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/sorttable.js" type="text/javascript"></script>
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.dataTables.min.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/datatables/jquery.dataTables.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <script type="text/javascript">
	$(document).ready(function() {
		$('#contactTable').dataTable({
			"oLanguage": {
				"sSearch": "Filtro:",
				"sLengthMenu": "Muestra _MENU_ contactos por pàgina",
       			"sZeroRecords": "Ningún contacto encontrado",
      			"sInfo": "Mostrando _START_ al _END_ de _TOTAL_ contactos",
       			"sInfoEmpty": "Mostrando 0 al 0 de 0 contactos",
       			"sInfoFiltered": "(_MAX_ contactos totales)",
				"oPaginate": {
					"sPrevious": "Anterior",
					"sNext":     "Siguiente",
				}
			},
			"aoColumnDefs": [
		    	{ "bSortable": false, "aTargets": [ 3, 5, 6, 7, 8 ] },
		    	{ "bSearchable": false, "aTargets": [ 3, 5, 6, 7, 8 ] }
		    ],
		    "aaSorting": [],
		    "bAutoWidth": false,
		    "bLengthChange": false
		});
		$('#appointmentTable').dataTable({
			"oLanguage": {
				"sSearch": "Filtro:",
				"sLengthMenu": "Muestra _MENU_ citas por pàgina",
       			"sZeroRecords": "Ninguna cita encontrada",
      			"sInfo": "Mostrando _START_ al _END_ de _TOTAL_ citas",
       			"sInfoEmpty": "Mostrando 0 al 0 de 0 citas",
       			"sInfoFiltered": "(_MAX_ citas totales)",
				"oPaginate": {
					"sPrevious": "Anterior",
					"sNext":     "Siguiente",
				}
			},
			"aoColumnDefs": [
		    	{ "bSortable": false, "aTargets": [ 3, 4 ] }
		    ],
		    "aaSorting": [],
		    "bAutoWidth": false,
		    "bLengthChange": false
		});
	});
  </script>
  <title>CRM: Contactos</title>
</head>
<body>
	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "contactSection"</script>
  	<?php
    include 'include/header.php';		// Navigation bar
    include 'include/function.php';
      
    echo '<section>';

    /* Show all business or specific business */
    if (!isset ($_GET['contactId']))
    {/************************************************************	
      * Show all contacts
      ************************************************************/
    
      echo '<h2>Contactos</h2>';
      echo '<div class="divider"></div>';
      echo '<article>';
	       
      /* All contacts table */
      $query = 'SELECT b.id as businessId, b.name as business, c.name, c.surname, c.mobile, c.country, c.email, c.id 
    			FROM contact c JOIN business b ON c.businessId=b.id 
    			ORDER BY c.name ASC';
      
      $result = mysql_query($query) or die('Error 02: Read contact table query failed. The query: '.$query.'. Error: '.mysql_error());
      
      echo '<table class="list" id="contactTable">';
      echo '<thead>';
	  echo '<tr>';
      echo '<th>Empresa</th>';
      echo '<th>Nombre</th>';
      echo '<th style="width:8%">eMail</th>';
      echo '<th style="width:13%">Móvil</th>';
      echo '<th>País</th>';
      echo '<th class="center" style="width:5%">Info</th>';
      echo '<th class="center" style="width:5%">Editar</th>';
      echo '<th class="center" style="width:8%">Nueva cita</th>';
      if ($accessLevel >= $ADVANCE_VALUE) echo '<th class="center" style="width:5%">Eliminar</th>'; 
      echo '</tr>';
      echo '</thead>';

      while ($row = mysql_fetch_assoc($result))
      {
		echo '<tr>';		
		echo '<td><a href="business.php?businessId='.$row['businessId'].'">'.$row['business'].'</a></td>';
		echo '<td><a href="contact.php?contactId='.$row['id'].'">'.$row['name'].' '.$row['surname'].'</a></td>';
		echo '<td><a href="mailto:'.$row['email'].'">'.$row['email'].'</a></td>';
		echo '<td>'.$row['mobile'].'</td>';
		echo '<td>'.$row['country'].'</td>';
		echo '<td class="center"><a href="contact.php?contactId='.$row['id'].'"><img src="images/info.png" alt="Icono info contact"></a></td>';
		echo '<td class="center"><a href="editContact.php?contactId='.$row['id'].'"><img src="images/edit.png" alt="Icono editar contacto"></a></td>';
		echo '<td class="center"><a href="addAppointment.php?contactId='.$row['id'].'"><img src="images/addApp.png" alt="Icono añadir cita"></a></td>';
		if ($accessLevel >= $ADVANCE_VALUE) {
			?><td class="center"><a onclick="deleteContact('deleteContact.php?contactId=<?php echo $row['id'] ?>')"><img src="images/delete.png" alt="Icono eliminar contacto"></a></td><?php
		}				
		echo '</tr>';
      }
      echo '</table>';

    }
    else
	{/************************************************************	
      * Show a contact information
      ************************************************************/
      $contactId = $_GET['contactId'];

      // Info contact
      $query = 'SELECT b.id as businessId,b.name as business, c.name, c.surname, c.city, c.phone, c.mobile, c.email, c.address, c.country, date_format(c.creationDate,"%D %M %Y") as creationDate, c.charge, c.linkedin, c.comment 
				FROM contact c JOIN business b ON c.businessId=b.id
				WHERE c.id='.$contactId;
      
      $result = mysql_query($query) or die('Error 02: Read contact table query failed. The query: '.$query.'. Error: '.mysql_error());
      $row = mysql_fetch_assoc($result);
      
      echo '<h2>'.$row['name'].' '.$row['surname'].'<a onclick="showInfoContact()" class="info"><img src="images/infoSmall.png" alt="Icono detalles contacto"></a></h2>';

	  echo '<div id="information">';
	  echo '<h5><b>Empresa: </b><a href="business.php?businessId='.$row['businessId'].'">'.$row['business'].'</a></h5>';
      echo '<h5>Cargo: '.$row['charge'].'</h5>';
      echo '<h5>Teléfono: '.$row['phone'].'</h5>';
      echo '<h5>Móvil: '.$row['mobile'].'</h5>';
      echo '<h5>eMail: <a href="mailto:'.$row['email'].'">'.$row['email'].'</a></h5>';
      echo '<h5>Ciudad: '.$row['city'].'</h5>';
      echo '<h5>Dirección: '.$row['address'].'</h5>';
      echo '<h5>País: '.$row['country'].'</h5>';
      echo '<h5>Linkedin: <a target="blank" href="'.$row['linkedin'].'">'.$row['linkedin'].'</a></h5>';
      echo '<h5>Fecha de creación: '.$row['creationDate'].'</h5>';
	  echo '<h5>Comentarios: '.$row['comment'].'</h5>';
	  echo '</div>';
      echo "<div class='divider'></div>";
	  
      echo '<article>';  
      echo "<h3>Recordatorios</h3>";
      echo "<div class='divider'></div>";
      
      // New appointment button
      echo '<a class="button" href="addAppointment.php?contactId='.$contactId.'">Nueva cita</a>';
      // Edit contact button
      echo '<a class="button" href="editContact.php?contactId='.$contactId.'">Editar contacto</a>';

      // Time now for SQL
      $timeNow = 'STR_TO_DATE("'.date("d/m/Y H:i").':59", "%d/%m/%Y %k:%i:%s")';

	  // Admin users can see all appoitments
	  $where = ($accessLevel == $ADMIN_VALUE) ? '' : ' AND userId='.$userId.' ';
	
      // Info of active appointments
      $query = 'SELECT a.id, a.active, date_format(a.remember,"%d/%m/%Y %k:%i") as date, a.remember, a.sourceType, a.summary, c.file
      			FROM appointment a JOIN CRMUser u ON a.userId=u.id JOIN color c ON u.color=c.color
      			WHERE a.contactId='.$contactId.' AND a.active=true '.$where.'
      			ORDER BY a.creationDate DESC;';
      $result = mysql_query($query) or die('Error 02: Read contact table query failed. The query: '.$query.'. Error: '.mysql_error());
	  
	  if (mysql_num_rows($result) > 0)
	  {/************************************************************	
        * Show active appointments
        ************************************************************/
	      echo '<table class="sortable list">';
	      echo '<thead>';
		  echo '<tr>';
		  if ($accessLevel == $ADMIN_VALUE) echo '<th style="width:1%"></th>';	// Show all user and mark color  
	      echo '<th style="width:3%"></th>';
	      echo '<th style="width:11%">Fecha</th>';
	      echo '<th>Resumen</th>';
	      echo '<th style="width:16%">Fuente</th>'; 
	      echo '<th class="center" style="width:6%">Información</th>';
	      echo '<th class="center" style="width:5%">Eliminar</th>';
		  echo '</tr>';
	      echo '</thead>';
	
	      $timeNow = date('d/m/Y H:i:59');
	            
	      while ($row = mysql_fetch_assoc($result))
	      {	
			echo '<tr>';
			if ($accessLevel == $ADMIN_VALUE) echo '<td class="center"><img src="images/'.$row['file'].'" alt="Icono color usuario"></td>';
			
	    	echo '<td class="center"><img src="'.stateAppaintmentToRuteIcon($row['remember']).'" alt="Icono estado recordatorio"></td>';
			echo '<td>'.$row['date'].'</td>';
			echo '<td>'.$row['summary'].'</td>';
			echo '<td>'.$row['sourceType'].'</td>';
			echo '<td class="center"><a href="editAppointment.php?appointmentId='.$row['id'].'"><img src=images/info.png alt="Icono info cita"></a></td>';
			echo '<td class="center"><a href="doAppointment.php?appointmentId='.$row['id'].'&amp;contactId='.$contactId.'"><img src=images/delete.png alt="Icono elimiar cita"></a></td>';
			echo '</tr>';
		  }	  
	      echo '</table>';
	  }
	  else
	  {
	  	echo '<h4>Este contacto no tiene recordatorios activos</h4>';
	  }
      
      echo '<h3>Historial</h3>';
      echo '<div class="divider"></div>';
      
      /* Info of historic appointments */
      $query = 'SELECT a.id, date_format(a.creationDate,"%d/%m/%Y %k:%i") as date, a.remember, a.sourceType, a.summary, c.file
      			FROM appointment a JOIN CRMUser u ON a.userId=u.id JOIN color c ON u.color=c.color
				WHERE contactId='.$contactId.' '.$where.'
      			ORDER BY a.creationDate DESC';
 
      $result = mysql_query($query) or die('Error 02: Read contact table query failed. The query: '.$query.'. Error: '.mysql_error());
      
      if ($numAppointment = mysql_num_rows($result) > 0)
	  {/************************************************************	
        * Show history appointments
        ************************************************************/
	      echo '<table class="list" id="appointmentTable">';
	      echo '<thead>';
		  echo '<tr>';
		  if ($accessLevel == $ADMIN_VALUE) echo '<th style="width:1%"></th>';	// Show all user and mark color    
	      echo '<th style="width:11%">Fecha</th>';
	      echo '<th>Resumen</th>';
	      echo '<th style="width:16%">Fuente</th>';
	      echo '<th class="center" style="width: 5%">Información</th>';
	      echo '<th class="center" style="width: 5%">Eliminar</th>';
		  echo '</tr>';
	      echo '</thead>';
	
	      while ($row = mysql_fetch_assoc($result))
	      {
	      	echo '<tr>';
			if ($accessLevel == $ADMIN_VALUE) echo '<td class="center"><img src="images/'.$row['file'].'" alt="Icono color usuario"></td>';
	      	echo '<td>'.$row['date'].'</td>';
	      	echo '<td>'.$row['summary'].'</td>';
	      	echo '<td>'.$row['sourceType'].'</td>';
	      	echo '<td class="center"><a href="editAppointment.php?appointmentId='.$row['id'].'"><img src="images/info.png" alt="Icono info recordatorio"></a></td>';
			?><td class="center"><img src=images/delete.png onclick='deleteAppointment("deleteAppointment.php?appointmentId=<?php echo $row['id'] ?>&amp;contactId=<?php echo $contactId ?>")' alt="Icono elimiar cita"></td><?php
			echo '</tr>';  
	    }
	    echo '</table>';

	  }
	  else
	  {
	  	echo '<h4>No hay citas realitzadas en este contacto</h4>';
	  }
  }
  
  echo '</article>';
  echo '</section>';	
    
  include 'include/footer.php';
  ?> 
</body>
</html>