<?php
/*
 *  File: emailFilter.php
 *  Data: 19/01/2014
 * 
 *  This file has a form (filter) and a table that filter contact emails.
 *  The contact emails are saved in contactListEmail database table
 *
 */
 require 'include/checkSession.php';
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.dataTables.min.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.min.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.filter.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/datatables/jquery.dataTables.css">
  <link rel="stylesheet" type="text/css" href="css/multiselect.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <script type="text/javascript">
	$(document).ready(function() {
		$('#emailTable').dataTable({
			"oLanguage": {
				"sSearch": "Filtro:",
				"sLengthMenu": "Muestra _MENU_ contactos por pàgina",
       			"sZeroRecords": "Ningún contacto encontrado",
      			"sInfo": "Mostrando _START_ al _END_ de _TOTAL_ contactos",
       			"sInfoEmpty": "Mostrando 0 al 0 de 0 contactos",
       			"sInfoFiltered": "(_MAX_ contactos totales)",
			},
			"sScrollY": "300px",
        	"bPaginate": false,
        	"bScrollCollapse": true,
			"aoColumnDefs": [
		    	{ "bSortable": false, "aTargets": [ 4 ] }
		    ],
		    "aaSorting": [],
		    "bAutoWidth": false,
		});
	});
  </script>
  <title>CRM: Correo electrónico</title>
</head>
<body>
 	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "emailSection"</script>
  	<?php

    include 'include/header.php';				// Navigation bar
    include 'include/function.php';
	include 'include/tmpDatabaseContact.php';	// Database temproal table manager
    
    // Atributs form GET
    $delContact 	= isset($_GET['delContact']) 		? $_GET['delContact'] 		: '';

    // Atributs form POST
    $businessIdArray= isset($_POST['businessIdArray']) 	? $_POST['businessIdArray'] : '';
    $countryArray 	= isset($_POST['countryArray'])		? $_POST['countryArray'] 	: '';
    
    // There are subjects selected (filtered)
    $nSubjects = "true";
    
    /* Filter button has pressed */
    if (isset($_POST['filter']))
	{			
		$businessSelected = '(0)';
		// Prepare the where query for search business 
		if (is_array($businessIdArray)) {
			$businessSelected = '(';
			foreach ($businessIdArray as $business) {
				$businessSelected .= $business.',';
			}
			$businessSelected = substr($businessSelected, 0, strlen($businessSelected)-1).')';
		}
		$where = ' WHERE b.id IN '.$businessSelected;

		$countrySelected = '("")';
		// Prepare the where query for search countries 
		if (is_array($countryArray)) {
			$countrySelected = '(';
			foreach ($countryArray as $country) {
				$countrySelected .= '"'.$country.'",';
			}
			$countrySelected = substr($countrySelected, 0, strlen($countrySelected)-1).')';
		} 
		$where .= ' AND c.country IN '.$countrySelected;
			
		// Select contact query	
		$query = 'SELECT c.id, c.country, c.email, c.name, c.surname, b.name as businessName
				  FROM business b JOIN contact c ON b.id=c.businessId
				  '.$where;
		
		clean();
		fillTableWithQuery($query);		
   	}
	elseif (isset($_GET['delContact'])) {
		/* Delete contact has been actionated */
		delete($delContact);
    }
	else {
		/* Default state (clean table) */
		clean();
		// There not are subjects selected (filtered)
		$nSubjects = "false";
	}

    // Filter eMail
    ?>
    <section>
    <a href="email.php" class="button" onclick='return alertNoSubjects("<?php echo $nSubjects ?>")'>Siguiente</a>
    <h2>Filtro de correos electrónicos</h2>
    <div class="divider"></div>
    <article id="filterForm">
    <form action="emailFilter.php" method="post">
   	<ul>
   	  <li>
   	  <label class="double" for="businessIdArray">Empresa:</label>
   	  <label class="double" for="countryArray">País:</label>
   	  </li>
   	  
   	  <li>  	
   	  	<select class="double" name="businessIdArray[]" id="businessIdArray" multiple="multiple">
			<?php 
			   	$query = 'SELECT b.name, b.id, c.businessName FROM contactListEmail c right join business b on c.businessName=b.name GROUP BY b.name';
			   	$result = mysql_query($query) or die('Error 02: Read contactListEmail table query failed. The query: '.$query.'. Error: '.mysql_error());
				
			   	while($row = mysql_fetch_assoc($result)){
		    		echo '<option value="'.$row['id'].'" '.matchValuesMultiSelect($row['businessName'],$row['name'] ).'>'.$row['name'].'</option>';
				}
			?>
		</select>
		
		<select class="double" name="countryArray[]" id="countryArray" multiple="multiple">
			<?php 
			   	$query = 'SELECT nameES, country FROM contactListEmail cl right join country cy on cl.country=cy.nameES GROUP BY cy.nameES';
			   	$result = mysql_query($query) or die('Error 02: Read contactListEmail table query failed. The query: '.$query.'. Error: '.mysql_error());
				
			   	while($row = mysql_fetch_assoc($result)){
		    		echo '<option value="'.$row['nameES'].'" '.matchValuesMultiSelect($row['country'], $row['nameES']).'>'.$row['nameES'].'</option>';
				}
			?>
		</select>
		<script>initMultiSelectOnMail();</script>
		
		<button name="filter" type="submit">Filtrar</button>
	  	
	  </li>
	</ul>	  
    </form>
    </article>
    <article>
    	
	<!-- Show email list (contacts)  -->
    <?php 
    	if (isset($_POST['filter']) or isset($_GET['delContact']))
		{					
			// Query search business	
			$query = 'SELECT name, surname, country, email, tmpId as contactId,  businessName
  					  FROM contactListEmail
    				  ORDER BY businessName ASC;';

			$result = mysql_query($query) or die('Error 02: Read contactListEmail table query failed. The query: '.$query.' Error: '.mysql_error());
			
			echo '<table class="list" id="emailTable">';
			echo '<thead>';
			echo '<tr>';
			echo '<th>Empresa</th>';
			echo '<th>Nombre</th>';
			echo '<th>Correo electrónico</th>';	
			echo '<th>País</th>';			
			echo '<th class="center" style="width:5%">Eliminar</th>';
			echo '</tr>';
			echo '</thead>';
			
			// Print the contacts that are not deleted 
			while ($row = mysql_fetch_assoc($result))
			{	
				// Change font color if the business has not email
				$noEmail = ($row['email'] == "") ? $COLOR_ERROR : '' ; 	

				echo '<tr>';
				echo '<td '.$noEmail.'>'.$row['businessName'].'</td>';
				echo '<td '.$noEmail.'>'.$row['name'].' '.$row['surname'].'</td>';
				echo '<td>'.$row['email'].'</td>';
				echo '<td '.$noEmail.'>'.$row['country'].'</td>';	
				echo '<td class="center"><a href="emailFilter.php?delContact='.$row['contactId'].'"><img src=images/deleteSmall.png alt="Icono eliminar correo"></a></td>';
				echo '</tr>';
			}
			echo '</table>';
    	}
    ?>
    </article>
	</section>

    <?php

    include 'include/footer.php';
    ?>
</body>
</html>