<?php
/*
 *  File: geoStatistics.php
 *  Data: 19/01/2014
 * 
 *  Shows a geographic chart with number of appointments, businesses or contacts are in each country
 *
 */
 require 'include/checkSession.php';
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.min.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.filter.js" type="text/javascript"></script>
  <script type="text/javascript" src="js/google.jsapi.js"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/multiselect.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Estadísticas</title>
</head>
<body>
 	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "statisticsSection"</script>
  	<?php

    include 'include/header.php';	// Selection header

    // Atributs pass from POST
    $geo 		= isset($_POST['source']) 		? $_POST['source'] 		: 'b';
    $dateStart 	= isset($_POST['dateStart']) 	? $_POST['dateStart'] 	: '';
    $dateFinish = isset($_POST['dateFinish']) 	? $_POST['dateFinish'] 	: '';
         
    // Filter form
    ?>
    <section>
	<h2>Estadística geográfica</h2>
	<div class="divider"></div>
    <article id="miniFilterForm"> 
    	
    <?php
    
    //Default geochart business.
    $filterGeo = isset($_POST['source']) ? $_POST['source'] : "business";
    
    $whereDate = "";
    $urlDate = '';
    if($dateStart != "" and $dateFinish != "") {
    	// Prepare format date
    	$start = "STR_TO_DATE('".$dateStart." 00:00:00', '%d/%m/%Y %k:%i:%s')";
    	$finish = "STR_TO_DATE('".$dateFinish." 23:59:59', '%d/%m/%Y %k:%i:%s')";
    		
    	$whereDate = " WHERE ".$geo.".creationDate>=".$start." AND ".$geo.".creationDate<=".$finish;
		$urlDate = 'dateStart='.$dateStart.'&dateFinish='.$dateFinish.'&';
    }
    
    switch ($filterGeo) {
    	case "a" :
    		$query = "SELECT count(*) as count, cy.nameEN
    		  		  FROM country cy JOIN contact c ON cy.nameES=c.country JOIN appointment a ON a.contactId=c.id ".$whereDate."
    		  		  GROUP BY cy.nameEN";
    		
    		$data[] = array('country' => '"Pais"', 'amount' => '"Numero de citas"');
			$url = 'search.php?'.$urlDate.'table=a&country=';
    		break;
    	case "c":
    		$query = "SELECT count(*) as count, cy.nameEN
    		  		  FROM country cy JOIN contact c ON cy.nameES=c.country ".$whereDate."
    		  		  GROUP BY cy.nameEN";
    		
    		$data[] = array('country' => '"Pais"', 'amount' => '"Numero de contactos"');
			$url = 'search.php?'.$urlDate.'table=c&country=';
    		break;
    	default:
    		$query = "SELECT count(*) as count, cy.nameEN
    		  		  FROM country cy JOIN business b ON cy.nameES=b.country ".$whereDate."
    		  		  GROUP BY cy.nameEN";
    		
    		$data[] = array('country' => '"Pais"', 'amount' => '"Numero de empresas"');
			$url = 'search.php?'.$urlDate.'table=b&country=';
    		break; 		
    }   

    $result = mysql_query($query) or die('Error, read country table query failed. The query: '.$query.'. Error: '.mysql_error());
	
	while ($row = mysql_fetch_assoc($result)) {
		/* Amount of appointment
		$query = "SELECT count(*) as count
    		  	  FROM country c JOIN contact ct ON c.nameES=ct.country JOIN appointment a ON a.contactId=ct.id
    			  WHERE nameES='".$row['nameES']."'";*/

		$data[] = array('country' => '"'.$row['nameEN'].'"', 'amount' => intval($row['count']));
	}

	?>
	
	<script type='text/javascript'>
		google.load('visualization', '1', {packages: ['geochart']});
		google.setOnLoadCallback(drawVisualization);
		
		function drawVisualization() {
		    var data = google.visualization.arrayToDataTable([
		 	<?php
		 	 	// Add data from php
		 		foreach ($data as $row) {
					echo '['.$row['country'].','.$row['amount'].'],';		
				}
			?>
		    ]);
		
		    var geochart = new google.visualization.GeoChart(document.getElementById('geoVisualization'));
		    google.visualization.events.addListener(geochart, 'select', function() {
		        var selectionIdx = geochart.getSelection()[0].row;
		        var countryName = data.getValue(selectionIdx, 0);
				window.open('<?php echo $url ?>' + countryName);
		    });
		    
			var options = {legend:'none', width:1000, height:500, minValue: 0,  colors: ['#094592', '#543522'], fontsize:17};
		
		    geochart.draw(data, options);
		}
    </script>

	<div id="geoVisualization"></div>
	
    <form action="geoStatistics.php" name="formFilter" method="post">
    <ul>
    <li>
    	<label for="from">Fecha inicio:</label>
    	<label for="to">Fecha fin:</label>   	
    </li>
    <li>	  
	    <input name="dateStart" id="from" value="<?php echo $dateStart ?>">
	    <input name="dateFinish" id="to" value="<?php echo $dateFinish ?>">
    
	    <!-- Initialize the datepickers {from, to} -->
		<script type="text/javascript">initDate();</script>
    </li>
    <li><label for="source">Filtro:</label></li>
	<li><select name="source" id="source" >
		    	<option value='b'>Mostrar empresas</option>
		      	<option value='c'>Mostrar contactos</option>
		      	<option value='a'>Mostrar citas</option>
		</select>
	    <script>selectComboBox("source", "<?php echo $geo ?>");</script>
	</li>
    <li><button name="add" type="submit" onclick="return compareDate()">Mostrar gráfica</button></li>
    </ul>
    </form>
	<?php
	
	echo '</article>';
    
	echo "</section>";    

    include 'include/footer.php';
  	?>
</body>
</html>