<?php
/*
 *  File: timeStatistics.php
 *  Data: 19/01/2014
 * 
 *  Shows a temporal chart with number of appointments, businesses or contacts.
 *
 */
 require 'include/checkSession.php';
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/sorttable.js" type="text/javascript"></script>
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <script type="text/javascript" src="//www.google.com/jsapi"></script>
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Estadísticas</title>
</head>
<body>
 	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "statisticsSection"</script>
  	<?php

    include 'include/header.php';	// Selection header
         
	// Search the first entry
	$query = 'SELECT DATE_FORMAT(creationDate, "%d/%m/%Y") as startDate FROM business ORDER BY creationDate LIMIT 0,1;';
	$result = mysql_query($query) or die('Error 02: Read business table query failed. The query: ' . $query . '. Error: ' . mysql_error());
    $row = mysql_fetch_assoc($result);	
	
	list($day, $month, $year) = explode('/', $row['startDate']);
	
	// Find number of days between the first entry and now
	$timestamp1 = mktime(0, 0, 0, $month, $day, $year); 
	$timestamp2 = time(); 
	
	$seconds = $timestamp2 - $timestamp1; 

	$days = ceil( $seconds / (60 * 60 * 24)); 
	
	$numBusiness = 0;
	$numContact = 0;
	$numAppointment = 0;

	// Create array data
	for ($i=0; $i < $days ; $i++) { 
		$date = date("Y-m-d", mktime(0, 0, 0, $month, $day+$i, $year)); 
		
		$query = 'SELECT count(id) as count FROM business WHERE creationDate BETWEEN "'.$date.' 00:00:00" AND "'.$date.' 23:59:59";';
		$resBusiness = mysql_query($query) or die('Error 02: Read business table query failed. The query: ' . $query . '. Error: ' . mysql_error());
    	$business = mysql_fetch_assoc($resBusiness);
		$numBusiness += $business['count'];
		
		$query = 'SELECT count(id) as count FROM contact WHERE creationDate BETWEEN "'.$date.' 00:00:00" AND "'.$date.' 23:59:59";';
		$resContact = mysql_query($query) or die('Error 02: Read contact table query failed. The query: ' . $query . '. Error: ' . mysql_error());
    	$contact = mysql_fetch_assoc($resContact);
		$numContact += $contact['count'];
				
		$query = 'SELECT count(id) as count FROM appointment WHERE creationDate BETWEEN "'.$date.' 00:00:00" AND "'.$date.' 23:59:59";';
		$resApp = mysql_query($query) or die('Error 02: Read appointment table query failed. The query: ' . $query . '. Error: ' . mysql_error());
    	$appointment = mysql_fetch_assoc($resApp);
		$numAppointment += $appointment['count'];
				
		list($gYear, $gMonth, $gDay) = explode('-', $date);

		// the google chart count a month more
		$data[] = array('year' => $gYear,'month' => $gMonth-1, 'day' => $gDay, 'numBusiness' => $numBusiness,'numContact' => $numContact, 'numAppointment' => $numAppointment );
		
	}
	?>
	<section>
	<h2>Gráfico temporal</h2>
	<div class="divider"></div>
	<article>
	
  	<script type="text/javascript">
    	google.load('visualization', '1', {packages: ['annotatedtimeline']});
    	
    	function drawVisualization() {
	      	var data = new google.visualization.DataTable();
	      	data.addColumn('date', 'Date');
	      	data.addColumn('number', 'Empresas');
	      	data.addColumn('number', 'Contactos');
	      	data.addColumn('number', 'Citas');
	      	data.addRows([
			<?php
			    foreach ($data as $row) {
					echo '[new Date ('.$row['year'].','.$row['month'].','.$row['day'].'),'.$row['numBusiness'].','.$row['numContact'].','.$row['numAppointment'].'],';		
				}
			?>
	    	]);   
	    	
	      	var annotatedtimeline = new google.visualization.AnnotatedTimeLine(
	        		document.getElementById('timeVisualization'));
	      			annotatedtimeline.draw(data, {'displayAnnotations': true});
	    	}
    
    	google.setOnLoadCallback(drawVisualization);
  	</script>

	<div id="timeVisualization"></div>
	
	</article>
	</section> 

	<?php

    include 'include/footer.php';
  	?>
</body>
</html>